Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://sapi.withsutro.com/applications/{applicationId}/models \ --header 'Authorization: Bearer <token>' \ --header 'x-sutro-api-client: <api-key>'
{ "models": [ { "id": "<string>", "name": "<string>", "fields": [ { "id": "<string>", "name": "<string>", "relationshipOwner": true, "min": 123, "max": 123, "to": "<string>", "accessControl": { "rules": [ { "criteria": "<string>" } ] }, "computed": "<string>", "defaultValue": "<unknown>", "enum": [ "<string>" ] } ], "accessControl": { "rules": [ { "criteria": "<string>" } ] } } ] }
Builder authentication and authorization
A unique identifier for the API Client making a request
List of models for the application
Show child attributes
Was this page helpful?